Package ru.bitel.bgbilling.kernel.tariff.option.common.bean

# Class ContractTariffOption

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.tariff.option.common.bean.ContractTariffOption

All Implemented Interfaces:
  `java.io.Serializable`, `Idable`

    public class ContractTariffOption
    extends Id

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractTariffOption()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getActivatedMode()` |
  `java.util.Date` | `getActivatedTime()` |
  `int` | `getChargeId()` |
  `int` | `getContractId()` |
  `java.util.Date` | `getDeactivatedTime()` |
  `int` | `getOptionId()` |
  `java.lang.String` | `getOptionTitle()` |
  `java.math.BigDecimal` | `getSumma()` |
  `java.util.Date` | `getTimeFrom()` |
  `java.util.Date` | `getTimeTo()` |
  `int` | `getUserId()` |
  `java.lang.String` | `getUserTitle()` |
  `void` | `setActivatedMode​(int activatedMode)` |
  `void` | `setActivatedTime​(java.util.Date activatedTime)` |
  `void` | `setChargeId​(int chargeId)` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setDeactivatedTime​(java.util.Date deactivatedTime)` |
  `void` | `setOptionId​(int optionId)` |
  `void` | `setOptionTitle​(java.lang.String optionTitle)` |
  `void` | `setSumma​(java.math.BigDecimal summa)` |
  `void` | `setTimeFrom​(java.util.Date timeFrom)` |
  `void` | `setTimeTo​(java.util.Date timeTo)` |
  `void` | `setUserId​(int userId)` |
  `void` | `setUserTitle​(java.lang.String userTitle)` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContractTariffOption

    public ContractTariffOption()

- ## Method Details

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId​(int userId)

  - ### getUserTitle

    public java.lang.String getUserTitle()

  - ### setUserTitle

    public void setUserTitle​(java.lang.String userTitle)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getTimeFrom

    public java.util.Date getTimeFrom()

  - ### setTimeFrom

    public void setTimeFrom​(java.util.Date timeFrom)

  - ### getTimeTo

    public java.util.Date getTimeTo()

  - ### setTimeTo

    public void setTimeTo​(java.util.Date timeTo)

  - ### getOptionId

    public int getOptionId()

  - ### setOptionId

    public void setOptionId​(int optionId)

  - ### getOptionTitle

    public java.lang.String getOptionTitle()

  - ### setOptionTitle

    public void setOptionTitle​(java.lang.String optionTitle)

  - ### getSumma

    public java.math.BigDecimal getSumma()

  - ### setSumma

    public void setSumma​(java.math.BigDecimal summa)

  - ### getChargeId

    public int getChargeId()

  - ### setChargeId

    public void setChargeId​(int chargeId)

  - ### getActivatedMode

    public int getActivatedMode()

  - ### setActivatedMode

    public void setActivatedMode​(int activatedMode)

  - ### getActivatedTime

    public java.util.Date getActivatedTime()

  - ### setActivatedTime

    public void setActivatedTime​(java.util.Date activatedTime)

  - ### getDeactivatedTime

    public java.util.Date getDeactivatedTime()

  - ### setDeactivatedTime

    public void setDeactivatedTime​(java.util.Date deactivatedTime)